close all;
verticalBar.vertices = [0 0; 1 0; 1 10; 0 10]'; % meters
verticalBar.edges = [ 1 2; 2 3; 3 4; 4 1]';
fem = TriElasticity(verticalBar);
fem.computeMeshArea()
fem.plotGeometryWithLabels();


fem = fem.setYoungsModulus(2e11);
fem = fem.setPoissonsRatio(0.28);

fem = fem.fixYOfEdge(1);
fem = fem.applyYForceOnEdge(3,-100);

fem = fem.assemble();
fem = fem.solve();
figure;
fem.plotStress();
