function sol = recursiveSum(N)
% We want to find S(N) = (1 + 2 + 3  ... + N)
% Note that S(N) = (1 + 2 + ... + N-1) + N
% i.e., S(N) = S(N-1) + N
% Thus we have a recursive call

if (N >= 50) % to avoid a deep stack of recursive calls
    sol = NaN;
    return;
end
if (N == 1) % always exit for a special case before making solution
    sol = 1;
    return;
end
sol = recursiveSum(N-1) + N;
