function [xMin,fMin,flag,output] = lineSearch(f,x0,d,opt)
% we will either use quad-fit or Newton Raphson 
if (nargin == 3)
    opt = setDefaultOptimizationOptions();
end
if ((nargout(f) == -1) || (nargout(f) == 1)) % no gradient or hessian
    [xMin,fMin,flag,output] =lineSearchQuadFit(f,x0,d,opt);
else % assume gradient or hessian available
    [xMin,fMin,flag,output] =lineSearchNR(f,x0,d,opt);
end
