xy = [0.5 1.5 1.0 0 2.0; 1 1 0 0 0];
connectivity = [1 2; 1 3; 1 4; 2 3; 2 5; 3 4; 3 5]'; 
t = truss2dMinComplianceVolumeConstraint(xy,connectivity);
t = t.assignE(2e11);
t = t.assignA(1e-6); % for all members 
t = t.fixXofNodes([4 5]);
t = t.fixYofNodes([4 5]);
t = t.applyForce(1,[1;-2]);
t = t.applyForce(2,[2;0]);
t = t.initialize();

h = 1e-10; % step size
complexVariableGradient(@(x)t.complianceObjective(x),ones(1,7),h)
