% shape optimization of cantilever beam
clear all; 
format short
params0 = [35 20];% initial shape parameters, a & d
shapeOpt = solidLabTestPart3DMinimizeStress(params0);
shapeOpt = shapeOpt.setParamsUpperBound([37,30]);
shapeOpt = shapeOpt.setParamsLowerBound([33,15]);
shapeOpt = shapeOpt.setParamTolerance(0.05); % relative 
shapeOpt = shapeOpt.setObjectiveTolerance(0.05); % relative 
results = shapeOpt.minimizeMaxStress()
