function r = g1(x)
% This is the derivative of f =  1-x.*exp(-x.^2);
% i.e., g = df/dx
% To find where the derivative of f vanishes, we have to solve g = 0
% One can use fsolve to find the roots of g = 0
r = (2*x.^2.*exp(-x.^2)) - exp(-x.^2);

