clc;
% illustrates the steepest descent
testNd = testFunctionsND;
f = @(xBar)testNd.f1(xBar);

% algorithm
x0 = [0 0];
[fVal,g0] = f(x0);
d0 = g0;
% first line search
[x1] = lineSearchNR(@(xBar)f(xBar),x0,d0);

[fVal,g1] = f(x1);
d1 = g1;
% second line search
[x2] = lineSearchNR(@(xBar)f(xBar),x1,d1);


[fVal,g2] = f(x2);
d2 = g2;
% third line search
[x3] = lineSearchNR(@(xBar) f(xBar),x2,d2);

