format long
close all;
example = 4;

if (example == 1)
    testFunctions = testFunctions1D;
    fun = @(x)testFunctions.f1(x);
    opt = setDefaultOptimizationOptions();
    opt.TolX = 1e-6;
    opt.TolFun = 1e-6;
    opt.TolGrad = 1e-6;
    opt.MaxFunEvals = 1000;
    x0 = [0];
    [xStationary,fStationary,flag,output] = fStationaryNR(fun,x0,opt)
elseif (example == 2)
    testFunctions = testFunctions1D;
    fun = @(x)testFunctions.f7(x);
    opt = setDefaultOptimizationOptions();
    opt.TolX = 1e-6;
    opt.TolFun = 1e-6;
    opt.TolGrad = 1e-6;
    opt.MaxFunEvals = 1000;
    x0 = [0.5];
    [xStationary,fStationary,flag,output] = fStationaryNR(fun,x0,opt)
elseif (example == 3)
    testFunctions = testFunctionsND;
    fun = @(x)testFunctions.f6(x);
    opt = setDefaultOptimizationOptions();
    opt.TolX = 1e-6;
    opt.TolFun = 1e-6;
    opt.TolGrad = 1e-6;
    opt.MaxFunEvals = 1000;
    x0 = [0 0 0];
    [xStationary,fStationary,flag,output] = fStationaryNR(fun,x0,opt)
elseif (example == 4)
    fun = @(uv)simpleTwoSpring(uv);
    opt = setDefaultOptimizationOptions();
    opt.TolX = 1e-6;
    opt.TolFun = 1e-6;
    opt.TolGrad = 1e-6;
    opt.MaxFunEvals = 1000;
    x0 = [0.1 0.1];
    [xStationary,fStationary,flag,output] = fStationaryNR(fun,x0,opt)
end
