format long
clc
test1D = testFunctions1D;
fun = @(x)test1D.f7(x);
funGrad = @(x)test1D.g7(x);

opt = setDefaultOptimizationOptions();
opt.TolX = 1e-3;
opt.TolFun = 1e-6;
opt.TolGrad = 1e-6;
opt.MaxFunEvals = 1000;


a = 0;
b = 1.5;
method = 3;

if (method == 1)
    [xMin,fMin,flag,output] = fminbnd(fun,a,b,opt)
elseif (method == 2)
    [xMin,fMin,flag,output] = fminsearch(fun,(a+b)/2,opt)
elseif (method == 3)
    [xStationary,fMin,flag,output] = fzero(funGrad,(a+b)/2)
end
