format long
clc
testND = testFunctionsND;
fun = @(xVec)testND.f6(xVec);
funGrad = @(xVec)testND.g6(xVec);

opt = setDefaultOptimizationOptions();
opt.TolX = 1e-6;
opt.TolFun = 1e-6;
opt.TolGrad = 1e-6;
opt.MaxFunEvals = 1000;



x0 = [0 0 0];
method = 1;
if (method == 1)
    [xMin,fMin,flag,output] = fminunc(fun,x0,opt);
    output.funcCount
    opt.GradObj = 'on';
    [xMin,fMin,flag,output] = fminunc(fun,x0,opt);
    output.funcCount

elseif (method == 2)
    [xMin,fMin,flag,output] = fminsearch(fun,x0)
elseif (method == 3)
    [xStationary,fMin,flag,output] = fsolve(funGrad,x0)
end
